# pspmodulemgr.h File Reference

`#include <pspkerneltypes.h>`

Include dependency graph for pspmodulemgr.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | SceKernelLMOption
struct | SceKernelSMOption
struct | SceKernelModuleInfo

## Defines

#define | PSP_MEMORY_PARTITION_KERNEL 1
#define | PSP_MEMORY_PARTITION_USER 2

## Typedefs

typedef SceKernelLMOption | SceKernelLMOption
typedef SceKernelSMOption | SceKernelSMOption
typedef SceKernelModuleInfo | SceKernelModuleInfo

## Functions

SceUID | sceKernelLoadModule (const char *path, int flags, SceKernelLMOption *option)
| Load a module.
SceUID | sceKernelLoadModuleMs (const char *path, int flags, SceKernelLMOption *option)
| Load a module from MS.
SceUID | sceKernelLoadModuleByID (SceUID fid, int flags, SceKernelLMOption *option)
| Load a module from the given file UID.
SceUID | sceKernelLoadModuleBufferUsbWlan (SceSize bufsize, void *buf, int flags, SceKernelLMOption *option)
| Load a module from a buffer using the USB/WLAN API.
int | sceKernelStartModule (SceUID modid, SceSize argsize, void *argp, int *status, SceKernelSMOption *option)
| Start a loaded module.
int | sceKernelStopModule (SceUID modid, SceSize argsize, void *argp, int *status, SceKernelSMOption *option)
| Stop a running module.
int | sceKernelUnloadModule (SceUID modid)
| Unload a stopped module.
int | sceKernelSelfStopUnloadModule (int unknown, SceSize argsize, void *argp)
| Stop and unload the current module.
int | sceKernelStopUnloadSelfModule (SceSize argsize, void *argp, int *status, SceKernelSMOption *option)
| Stop and unload the current module.
int | sceKernelQueryModuleInfo (SceUID modid, SceKernelModuleInfo *info)
| Query the information about a loaded module from its UID.